[Snort-users] libpcap error when compiling daq0.5

Weir, Jason jason.weir at ...14916...
Tue Jun 7 08:46:25 EDT 2011


Try this - give us the output if it doesn't work..

# cd /usr/src
# wget http://www.tcpdump.org/release/libpcap-1.1.1.tar.gz
# tar -zxf  libpcap-1.1.1.tar.gz && cd libpcap-1.1.1
# ./configure --prefix=/usr --enable-shared
# make && make install

# cd /usr/src
# wget http://www.snort.org/dl/snort-current/daq-0.5.tar.gz
# tar -zxf daq-0.5.tar.gz && cd daq-0.5
# vi /usr/src/daq-0.5/os-daq-modules/daq_pcap.c

on line 219 replace:
context->buffer_size = strtol(entry->key, NULL, 10);
with:
context->buffer_size = strtol(entry->value, NULL, 10);

# ./configure
# make && make install
# echo >> /etc/ld.so.conf /usr/lib && ldconfig


-J


> -----Original Message-----
> From: Lutfi ODUNCUOGLU [mailto:lutfio at ...9830...] 
> Sent: Tuesday, June 07, 2011 8:16 AM
> To: snort-users at lists.sourceforge.net
> Subject: [Snort-users] libpcap error when compiling daq0.5
> 
> 
> Hello,
> 
> I am trying to compile daq0.5 on Debian Squeeze. First I compiled
> libpcap-1.1.1 and there is no problem. However when I tried to compile
> daq0.5 I got an error
> 
> ERROR!  Libpcap library version >= 1.0.0 not found.
>     Get it from http://www.tcpdump.org
> 
> I also tried to compile daq0.5 with libpcap-1.0.0 and got the 
> same error.
> 
> I need urgent help.
> 
> Regards,
> 
> Lutfi
 


_____________________________________________________________________________________________

Please visit www.nhrs.org to subscribe to NHRS email announcements and updates.


More information about the Snort-users mailing list